package controller.savers.migration;

import gui.PDataEditor;

import java.io.IOException;
import java.io.OutputStream;

import model.PData;

public interface Migrator {

	boolean canMigrate(Object obj);
	
	String getDescription();
	String getExtension();
	
	// the editor may be optional depending on the format!
	void migrate(PData data, OutputStream s, PDataEditor editor) throws IOException;
	
}
