package controller.loaders;

import model.Cassette;
import model.PData;
import controller.IOAction;
import controller.StopCallback;

public class HexLoader implements IOAction {

	private Cassette c;
	
	@Override
	public boolean isLoadingAction() { // XXX this is one big exception!
		return false;
	}
	
	@Override
	public boolean canStop() {
		return false;
	}

	@Override
	public String[] getMenuPath() {
		return new String[]{"Evaluate data in tab"};
	}

	@Override
	public void setController(Cassette c, StopCallback s) {
		this.c = c;
	}

	@Override
	public boolean setSource() {
		// do nothing
		return true;
	}

	@Override
	public void start() {
		PData d = c.getSelected();
		
		PData decoded = PData.fromDataBlock(d.encodeFull());
		
		c.addBlock(decoded, true);
	}

	@Override
	public void stop() {
		// do nothing
	}

}
