package main;

import gui.MainFrame;

import java.io.InputStream;

import javax.swing.SwingUtilities;
import javax.swing.UIManager;

public class Main {
	public static void main(String[] args) {
		
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {
			// no skinning support
		}
		
		SwingUtilities.invokeLater(new Runnable() {
			@Override
			public void run() {
				MainFrame f = new MainFrame();
				
				f.setDefaultCloseOperation(MainFrame.EXIT_ON_CLOSE);
				f.setVisible(true);
			}
		});
		
		
		// 1. delete/move tab support (+ in cassette) 2. move basic file loading routine away 3. implement zip file 4. implement saving 
		// 5. audio stuff \o/ whee all done
		
	}
	
	public static InputStream getResource(String name) {
		return Main.class.getResourceAsStream("/"+name);
	}
	
}
